import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);

const router = new Router({
  routes: [
    {
      path: '/',
      name: 'index',
      component: () => import('./views/index.vue'),
    },
    {
      path: '/delivery/index',
      name: 'delivery',
      component: () => import('./views/delivery/index.vue'),
    },
    {
      path: '/delivery/details',
      name: 'deliveryDetails',
      component: () => import('./views/delivery/details.vue'),
    },
    {
      path: '/delivery/ticket',
      name: 'ticket',
      component: () => import('./views/delivery/ticket.vue'),
    },
    {
      path: '/setting',
      component: () => import('./views/setting.vue'),
    },
    {
      path: '/resume/purpose',
      name: 'purpose',
      component: () => import('./views/resume/purpose.vue'),
    },
    {
      path: '/resume/education',
      name: 'education',
      component: () => import('./views/resume/education.vue'),
    },
    {
      path: '/resume/jobExp',
      name: 'jobExp',
      component: () => import('./views/resume/job-exp.vue'),
    },
    {
      path: '/resume/selfIntro',
      name: 'selfIntro',
      component: () => import('./views/resume/self-intro.vue'),
    },
    {
      path: '/resume/stuinfo',
      name: 'stuinfo',
      component: () => import('./views/resume/stuinfo.vue'),
    },
    {
      path: '/resume/certificate',
      name: 'certificate',
      component: () => import('./views/resume/certificate.vue'),
    },
    {
      path: '/resume/mainExp',
      name: 'mainExp',
      component: () => import('./views/resume/main-exp.vue'),
    },
  ],
});

export default router;
