import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';

Vue.use(Vuex);
const api = {
  fairs: '/api/jobs/fairs',
  profilesinfo: '/api/jobs/fairs/{id}',
  faircorps: '/api/jobs/faircorps',
  faircorpsInfo: '/api/jobs/faircorps/{id}',
  fairJobs: '/api/jobs/faircorps/{id}/jobs',
};
export const state = () => ({});
export const mutations = {};
export const actions = {
  async fairsOperation({ state }, { type, data }) {
    let { skip, limit } = data; //查询列表需要用,不是列表就别用
    let result;
    if (type === 'add') {
      let { info, corpid, corpname } = data;
      result = await this.$axios.$post(api.fairs, info, {}, { corpid: corpid, corpname: corpname });
    }
    if (type === 'list') {
      data = this.$toUndefined(data);
      let { corpid, schid, ...searchInfo } = data;
      result = await this.$axios.$get(api.fairs, {}, { corpid: corpid, skip: skip, limit: limit, schid: schid, ...searchInfo });
    }
    if (type === 'search') {
      let { id } = data;
      result = await this.$axios.$get(api.profilesinfo, { id: id });
    }
    if (type === 'update') {
      let { info, id } = data;
      result = await this.$axios.$post(api.profilesinfo, info, {
        id: id,
      });
    }
    if (type === 'delete') {
      let { id } = data;
      result = await this.$axios.$delete(api.profilesinfo, {}, { id: id });
    }
    if (type === 'apply') {
      let { info, corpid, corpname, schid, schname, fairid } = data;
      result = await this.$axios.$post(
        api.faircorps,
        info,
        {},
        {
          corpid: corpid,
          corpname: corpname,
          schid: schid,
          schname: schname,
          fairid: fairid,
        }
      );
    }
    if (type === 'mylist') {
      let { schid, fairid, corpid, status } = data;
      result = await this.$axios.$get(api.faircorps, {}, { schid: schid, fairid: fairid, corpid: corpid, status: status });
    }
    if (type === 'searchCorp') {
      result = await this.$axios.$get(api.faircorps, {}, { ...data });
    }
    if (type === 'applyUpdate') {
      let { info, id } = data;
      result = await this.$axios.$post(api.faircorpsInfo, info, {
        id: id,
      });
    }
    if (type === 'deleteCorps') {
      let { id } = data;
      result = await this.$axios.$delete(api.faircorpsInfo, {}, { id: id });
    }
    if (type === 'searchJobs') {
      let { id } = data;
      result = await this.$axios.$get(api.fairJobs, { id: id });
    }
    return result;
  },
};
