import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';

Vue.use(Vuex);
const api = {
  info: '/api/jobs/infos',
  infos: '/api/jobs/infos/{id}',
};
export const state = () => ({});

export const mutations = {};

export const actions = {
  //在线招聘
  async jobinfoOperation({ state }, { type, data }) {
    let { skip, limit } = data; //查询列表需要用,不是列表就别用
    let result;
    if (type === 'add') {
      let { info, corpid, corpname, schid, schname, is_publish } = data;
      result = await this.$axios.$post(api.info, info, {}, { schid: schid, corpid: corpid, corpname: corpname, schname: schname, is_publish: is_publish });
    }
    if (type === 'list') {
      data = this.$toUndefined(data);
      let { corpid, is_practice, corpname } = data;
      result = await this.$axios.$get(api.info, {}, { skip: skip, limit: limit, is_practice: is_practice, corpname: corpname, corpid: corpid }); //列表接口都加上
    }
    if (type === 'search') {
      let { id } = data;
      result = await this.$axios.$get(api.infos, { id: id });
    }
    if (type === 'update') {
      let { info, id } = data;
      result = await this.$axios.$post(api.infos, info, { id: id });
    }
    if (type === 'delete') {
      let { id } = data;
      result = await this.$axios.$delete(api.infos, {}, { id: id });
    }
    return result;
  },
};
