import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';

Vue.use(Vuex);
const api = {
  posts: '/api/jobs/posts',
  postsinfo: '/api/jobs/posts/{id}',
};
export const state = () => ({});

export const mutations = {};

export const actions = {
  async postsOperation({ state }, { type, data }) {
    let result;
    if (type === 'list') {
      let { corpid, state, corpname, is_practice, ...searchInfo } = data;
      result = await this.$axios.$get(
        api.posts,
        {},
        {
          corpid: corpid,
          state: state,
          corpname: corpname,
          is_practice: is_practice,
          ...searchInfo,
        }
      );
    }
    if (type === 'add') {
      let { info, corpid, corpname } = data;
      result = await this.$axios.$post(api.posts, info, {}, { corpid: corpid, corpname: corpname });
    }
    if (type === 'search') {
      let { id } = data;
      result = await this.$axios.$get(api.postsinfo, { id: id });
    }
    if (type === 'update') {
      let { info, id } = data;
      result = await this.$axios.$post(api.postsinfo, info, { id: id });
    }
    if (type === 'delete') {
      let { id } = data;
      result = await this.$axios.$delete(api.postsinfo, {}, { id: id });
    }
    return result;
  },
};
