import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';

Vue.use(Vuex);
const api = {
  letters: '/api/jobs/letters',
  lettersInfo: '/api/jobs/letters/{id}',
};
export const state = () => ({});

export const mutations = {};

export const actions = {
  //求职信
  async lettersOperation({ state }, { type, data }) {
    let result;
    let { skip, limit } = data;
    if (type === 'list') {
      let { resume_id, status, corpname, studname, post_id } = data;
      result = await this.$axios.$get(
        api.letters,
        {},
        { post_id: post_id, resume_id: resume_id, status: status, corpname: corpname, studname: studname, skip: skip, limit: limit }
      );
    }
    if (type === 'search') {
      let { id } = data;
      result = await this.$axios.$get(api.lettersInfo, { id: id });
    }
    if (type === 'update') {
      let { id, status } = data;
      result = await this.$axios.$post(api.lettersInfo, { status: status }, { id: id });
    }
    if (type === 'apply') {
      let { query, body } = data;
      result = await this.$axios.$post(api.letters, body, {}, query);
    }
    return result;
  },
};
