import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';

Vue.use(Vuex);
const api = {
  profiles: '/api/jobs/profiles',
  profilesinfo: '/api/jobs/profiles/{id}',
};
export const state = () => ({});

export const mutations = {};

export const actions = {
  //招聘简章
  async profilesOperation({ state }, { type, data }) {
    let { skip, limit } = data; //查询列表需要用,不是列表就别用
    let result;
    if (type === 'add') {
      let { info, corpid, corpname } = data;
      result = await this.$axios.$post(api.profiles, info, {}, { corpid: corpid, corpname: corpname });
    }
    if (type === 'list') {
      let { corpid } = data;
      result = await this.$axios.$get(api.profiles, {}, { skip: skip, limit: limit, corpid: corpid });
    }
    if (type === 'search') {
      let { id } = data;
      result = await this.$axios.$get(api.profilesinfo, { id: id });
    }
    if (type === 'update') {
      let { info, id } = data;
      result = await this.$axios.$post(api.profilesinfo, info, { id: id });
    }
    if (type === 'delete') {
      let { id } = data;
      result = await this.$axios.$delete(api.profilesinfo, {}, { id: id });
    }
    return result;
  },
};
