import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';

Vue.use(Vuex);
const api = {
  resumes: '/api/jobs/resumes',
  resumesInfo: '/api/jobs/resumes/{id}',
};
export const state = () => ({});

export const mutations = {};

export const actions = {
  //在线招聘
  async resumesOperation({ state }, { type, data }) {
    let { skip, limit } = data; //查询列表需要用,不是列表就别用
    let result;
    if (type === 'list') {
      let { schid, year } = data;
      result = await this.$axios.$get(api.resumes, {}, { schid: schid, year: year });
    }
    if (type === 'search') {
      let { id } = data;
      result = await this.$axios.$get(api.resumesInfo, { id: id });
    }
    if (type === 'update') {
      let { info, id } = data;
      result = await this.$axios.$post(api.resumesInfo, info, { id: id });
    }
    if (type === 'add') {
      let { info, schid, studid } = data;
      result = await this.$axios.$post(api.resumes, info, {}, { schid: schid, studid: studid });
    }
    return result;
  },
};
