import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';

Vue.use(Vuex);
const api = {
  talks: '/api/jobs/talks',
  talksinfo: '/api/jobs/talks/{id}',
};
export const state = () => ({});
export const mutations = {};
export const actions = {
  async talksOperation({ state }, { type, data }) {
    let { skip, limit } = data; //查询列表需要用,不是列表就别用
    let result;
    if (type === 'add') {
      let { info, corpid, corpname, schid, schname } = data;
      console.log(data);
      result = await this.$axios.$post(api.talks, info, {}, { corpid: corpid, corpname: corpname, schid: schid, schname: schname });
    }
    if (type === 'list') {
      data = this.$toUndefined(data);
      let { corpid, corpname, schid, schname, date, schIn } = data;
      result = await this.$axios.$get(
        api.talks,
        {},
        { skip: skip, limit: limit, date: date, schIn: schIn, corpid: corpid, corpname: corpname, schid: schid, schname: schname }
      );
    }
    if (type === 'search') {
      let { id } = data;
      result = await this.$axios.$get(api.talksinfo, { id: id });
    }
    if (type === 'update') {
      let { info, id } = data;
      result = await this.$axios.$post(api.talksinfo, info, { id: id });
    }
    if (type === 'delete') {
      let { id } = data;
      result = await this.$axios.$delete(api.talksinfo, {}, { id: id });
    }
    return result;
  },
};
