import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);
const api = {
  userReg: '/api/stud/registers/{id}',
  studLogin: '/api/stud/login', //query:type:0=>用户名+密码 account(学号@学校id)+passwd;1-微信(wxtoken)
  corpLogin: '/api/corp/login',
};
export const state = () => ({});
export const mutations = {
  setUser(state, payload) {
    if (payload) {
      state.user = payload;
      sessionStorage.setItem('user', JSON.stringify(payload));
    } else {
      let user = sessionStorage.getItem('user');
      if (user) state.user = JSON.parse(user);
      else return false;
    }
  },
};
export const actions = {
  async getToken() {
    let url = 'http://smart.cc-lotus.info/weixin/auth?redirect_uri=http://localhost:8005/';
    let result = this.$axios.$get();
  },
  //用户
  async userOperation({ stata }, { type, data }) {
    let result;
    if (type === 'search') {
      let { studid } = data;
      result = await this.$axios.$get(api.userReg, { id: studid });
    }
    return result;
  },
  async studLogin({ state }, { type, data }) {
    let result = this.$axios.$post(api.studLogin, data, {}, { type: type });
    return result;
  },
  async corpLogin({ state }, { type, data }) {
    let result = this.$axios.$post(api.corpLogin, data, {}, { type: type });
    return result;
  },
};
